# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:26

#####
Index

### Constructors

constructor

### Properties

_loop$
_syncQueue$
db
isInitialized$
statusApi
waitForParticleResolve

### Accessors

loop$
queue

### Methods

enqueue
loadSyncQueue
processSyncQueue
start

## Constructors

### constructor

- new default(deps): default

- #### Parameters

  - deps: ServiceDeps

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:49

## Properties

### `Private` _loop$

_loop$: Observable<any>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:43

### `Private` _syncQueue$

_syncQueue$: BehaviorSubject<Map<string, SyncQueueItem>> = ...

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:35

### `Private` db

db: default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:29

### isInitialized$

isInitialized$: Observable<boolean>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:27

### `Private` statusApi

statusApi: {
sendStatus: ((status, message?) => void);
} = ...

#### Type declaration

- ##### sendStatus: ((status, message?) => void)

  - - (status, message?): void

    - #### Parameters

      - status: "error" | "idle" | "in-progress"
      - `Optional` message: string

      #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:33

### `Private` waitForParticleResolve

waitForParticleResolve: FetchIpfsFunc

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:31

## Accessors

### loop$

- get loop$(): Observable<any>

- #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:45

### queue

- get queue(): Map<string, SyncQueueItem>

- #### Returns Map<string, SyncQueueItem>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:39

## Methods

### enqueue

- enqueue(items): Promise<void>

- #### Parameters

  - items: SyncQueueItem[]

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:167

### `Private` loadSyncQueue

- loadSyncQueue(): Promise<void>

- #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:180

### `Private` processSyncQueue

- processSyncQueue(pendingItems): Promise<void>

- #### Parameters

  - pendingItems: SyncQueueItem[]

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:69

### start

- start(): default

- #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:112